curl -X PUT "https://app.cotool.ai/api/output-destinations/:destinationId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"string","url":"string","authType":"bearer","headerName":"string","token":"string","type":"webhook"}'import requests
url = "https://app.cotool.ai/api/output-destinations/{destinationId}"
payload = {
"type": "webhook",
"name": "<string>",
"url": "<string>",
"headerName": "<string>",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'webhook',
name: '<string>',
url: '<string>',
headerName: '<string>',
token: '<string>'
})
};
fetch('https://app.cotool.ai/api/output-destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/output-destinations/{destinationId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"webhook\",\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"headerName\": \"<string>\",\n \"token\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/output-destinations/{destinationId}"
payload := strings.NewReader("{\n \"type\": \"webhook\",\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"headerName\": \"<string>\",\n \"token\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"authType": "bearer",
"headerName": "<string>"
},
"usageCount": 123,
"token": "<string>",
"hasToken": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Update output destination
Update an existing output destination (webhook, Teams, Slack, PagerDuty, Linear, or Tines).
curl -X PUT "https://app.cotool.ai/api/output-destinations/:destinationId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"string","url":"string","authType":"bearer","headerName":"string","token":"string","type":"webhook"}'import requests
url = "https://app.cotool.ai/api/output-destinations/{destinationId}"
payload = {
"type": "webhook",
"name": "<string>",
"url": "<string>",
"headerName": "<string>",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'webhook',
name: '<string>',
url: '<string>',
headerName: '<string>',
token: '<string>'
})
};
fetch('https://app.cotool.ai/api/output-destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/output-destinations/{destinationId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"webhook\",\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"headerName\": \"<string>\",\n \"token\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/output-destinations/{destinationId}"
payload := strings.NewReader("{\n \"type\": \"webhook\",\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"headerName\": \"<string>\",\n \"token\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"authType": "bearer",
"headerName": "<string>"
},
"usageCount": 123,
"token": "<string>",
"hasToken": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Body
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
"webhook"Human-readable name for this destination
1 - 255The webhook URL to POST to
Type of authentication
bearer, header Custom header name when authType is "header"
The authentication token (leave undefined to keep existing)
Response
Successful response
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Unique identifier for the destination
Organization that owns this destination
Human-readable name for this destination
1 - 255When the destination was created
When the destination was last updated
"webhook"Show child attributes
Show child attributes
Number of detections using this destination
The authentication token (only returned to authorized users)
Whether a token is configured
Was this page helpful?